Subject: [eap] Re: "MIC"

From: [email-masked] (Bernard Aboba)
Date: Thu, 6 Mar 2003 17:02:18 -0800 (PST)

I believe that MAC is the recommended usage. However, EAP is often used
in layer 2 authentication, where the term "MAC" could easily be confused
with terms like "MAC address", "MAC layer", etc.

For this reason, IEEE 802.1X and IEEE 802.11i have adopted the term "MIC"
to refer to a message integrity check, rather than MAC. Since it is likely
that one or more IEEE 802 groups will be referencing RFC 2284bis and
2869bis, we are respecting their choice of terms and are also using the
term "MIC" instead of "MAC".

On March 7, 2003, Henrik Levkowetz stated:

> The following may be a general language issue with 2284bis, but I'm not sure,
> so I'll pose it as a question with a lead-in:
>
> Prompted by Bernard proposal of an Appendix section on Message Integrity
> Checks, and remembering Yoshihiro's reference to what RFC 2828 recommends
> with respect to this term (don't use it), I did a search through existing
> RFCs, and found that:
>
>   	"MIC" is used in 34 rfcs. The context is:
>
> 	email or MIME	22 counts
> 	GSS-API		 6 counts
> 	generic		 1 count
> 	FTP		 1 count
> 	PGP		 1 count
> 	FDDI		 1 count
>
> The term is not used in RFC 2716 (PPP EAP TLS), and not in RFC 2246 (TLS).
>
> "..message integrity check.." occurs once in 2246, but it is not used as
> an established concept, exactly: "Message transport includes a message
> integrity check using a keyed MAC."
>
> So here is the question:
>
> Is the term MIC in broad use today when talking about integrity protecting
> checksums for EAP methods, so that it's use in 2284bis is simply a reflection
> of current practice; or is it just an expression which happened to be used
> at some early point in the life of 2284bis, and has been carried along
> without a great deal of deliberation?
>
>
> 	Henrik